---

- hosts: initial_setup
  remote_user: root
  become: false
  gather_facts: false

  vars_prompt:

    - name: ansible_ssh_pass
      prompt: "Give root's password here"

  roles:
     - ansible_dependencies
     - ansible_user

- hosts: extra_hosts
  #  remote_user: root

  #  vars_prompt:
  #
  # - name: ansible_sudo_pass
  #   prompt: "Give ansible's sudo password here"

  roles:
    - common
